summaryrefslogtreecommitdiff
path: root/tools/buildbot/slaves/ubuntu-x64/svnbuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/buildbot/slaves/ubuntu-x64/svnbuild.sh')
-rwxr-xr-xtools/buildbot/slaves/ubuntu-x64/svnbuild.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/tools/buildbot/slaves/ubuntu-x64/svnbuild.sh b/tools/buildbot/slaves/ubuntu-x64/svnbuild.sh
new file mode 100755
index 0000000..31edb1a
--- /dev/null
+++ b/tools/buildbot/slaves/ubuntu-x64/svnbuild.sh
@@ -0,0 +1,51 @@
+#!/bin/bash
+#
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+#
+
+set -x
+
+export MAKEFLAGS=-j4
+
+echo "========= autogen.sh"
+./autogen.sh || exit $?
+
+echo "========= configure"
+./configure --enable-javahl --enable-maintainer-mode \
+ --without-berkeley-db \
+ --with-jdk=/usr/lib/jvm/java-6-openjdk/ \
+ --with-junit=/usr/share/java/junit.jar || exit $?
+
+echo "========= make"
+make || exit $?
+
+echo "========= make javahl"
+make javahl -j1 || exit $?
+
+echo "========= make swig-py"
+make swig-py || exit $?
+
+echo "========= make swig-pl"
+make swig-pl -j1 || exit $?
+
+echo "========= make swig-rb"
+make swig-rb -j1 || exit $?
+
+exit 0